RunGuard Class Reference

The RunGuard class ensures only a single instance of the application is running simultaneously. More...

`#include <runguard.h>`

## Public Member Functions

| RunGuard (const QString &key)
bool | isAnotherRunning ()
bool | tryToRun ()
void | release ()

## Detailed Description

The RunGuard class ensures only a single instance of the application is running simultaneously.

The documentation for this class was generated from the following files:

- src/classes/runguard.h
- src/classes/runguard.cpp